import functools


def debug(func):
    """Print the function signature and return value"""
    @functools.wraps(func)
    def wrapper_debug(*args, **kwargs):
        args_repr = [repr(a) for a in args]
        kwargs_repr = [f"{k}={v!r}" for k, v in kwargs.items()]
        signature = ", ".join(args_repr + kwargs_repr)
        print(f"@debug | Calling {func.__name__}({signature})")
        value = func(*args, **kwargs)
        print(f"@debug | {func.__name__!r} returned {value!r}")
        return value
    return wrapper_debug